diff --git a/src/main/java/net/minecraft/core/block/MobSpawnerDeactivatedBlock.java b/src/main/java/net/minecraft/core/block/BlockMobSpawnerDeactivated.java
similarity index 74%
rename from src/main/java/net/minecraft/core/block/MobSpawnerDeactivatedBlock.java
rename to src/main/java/net/minecraft/core/block/BlockMobSpawnerDeactivated.java
index ade473707..ec0bbf5b5 100644
--- a/src/main/java/net/minecraft/core/block/MobSpawnerDeactivatedBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockMobSpawnerDeactivated.java
@@ -1,15 +1,15 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 
-public class MobSpawnerDeactivatedBlock extends TransparentBlock {
-    public MobSpawnerDeactivatedBlock(String key, String namespaceId, int id, Material material)
+public class BlockMobSpawnerDeactivated extends BlockTransparent {
+    public BlockMobSpawnerDeactivated(String key, String namespaceId, int id, Material material)
     {
         super(key, namespaceId, id, material);
     }
@@ -28,10 +28,10 @@ public class MobSpawnerDeactivatedBlock extends TransparentBlock {
 
     @Override
     public boolean collidesWithEntity(Entity entity, World world, int x, int y, int z) {
-        return !(entity instanceof ItemEntity);
+        return !(entity instanceof EntityItem);
     }
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/MossBlock.java b/src/main/java/net/minecraft/core/block/BlockMoss.java
similarity index 97%
rename from src/main/java/net/minecraft/core/block/MossBlock.java
rename to src/main/java/net/minecraft/core/block/BlockMoss.java
index 3ba84e837..0026243d9 100644
--- a/src/main/java/net/minecraft/core/block/MossBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockMoss.java
@@ -13,9 +13,9 @@ import java.util.Map;
 import java.util.Map.Entry;
 import java.util.Random;
 
-public class MossBlock extends Block implements IBonemealable {
+public class BlockMoss extends Block implements IBonemealable {
 	public static Map<Integer, Integer> variantMap = new HashMap<>();
-	public MossBlock(String key, String namespaceId, int id, int parentId) {
+	public BlockMoss(String key, String namespaceId, int id, int parentId) {
 		super(key, namespaceId, id, Material.moss);
 		setTicking(true);
 		variantMap.put(parentId, id);
diff --git a/src/main/java/net/minecraft/core/block/MotionSensorBlock.java b/src/main/java/net/minecraft/core/block/BlockMotionSensor.java
similarity index 88%
rename from src/main/java/net/minecraft/core/block/MotionSensorBlock.java
rename to src/main/java/net/minecraft/core/block/BlockMotionSensor.java
index 294347af4..3912fc138 100644
--- a/src/main/java/net/minecraft/core/block/MotionSensorBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockMotionSensor.java
@@ -1,12 +1,11 @@
 
 package net.minecraft.core.block;
 
-import java.util.Objects;
 import java.util.Random;
 
 import net.minecraft.client.util.helper.Colors;
-import net.minecraft.core.block.entity.BlockEntity;
-import net.minecraft.core.block.entity.SensorBlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.TileEntitySensor;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
@@ -20,11 +19,11 @@ import net.minecraft.core.world.WorldSource;
 //            Block, Material, World, Item,
 //            Player, Entity
 
-public class MotionSensorBlock extends VeryRotatableEntityBlock
+public class BlockMotionSensor extends BlockTileEntityVeryRotatable
 {
     public final boolean isActive;
 
-    public MotionSensorBlock(String key, String namespaceId, int id, boolean isActive)
+    public BlockMotionSensor(String key, String namespaceId, int id, boolean isActive)
     {
         super(key, namespaceId, id, Material.glass);
         this.isActive = isActive;
@@ -89,13 +88,13 @@ public class MotionSensorBlock extends VeryRotatableEntityBlock
     }
 
     @Override
-	protected BlockEntity getNewBlockEntity()
+	protected TileEntity getNewBlockEntity()
     {
-        return new SensorBlockEntity();
+        return new TileEntitySensor();
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity) {
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity) {
         if (dropCause == EnumDropCause.IMPROPER_TOOL) {
             return null;
         }
diff --git a/src/main/java/net/minecraft/core/block/MudBlock.java b/src/main/java/net/minecraft/core/block/BlockMud.java
similarity index 91%
rename from src/main/java/net/minecraft/core/block/MudBlock.java
rename to src/main/java/net/minecraft/core/block/BlockMud.java
index ac605af30..10c9c4c29 100644
--- a/src/main/java/net/minecraft/core/block/MudBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockMud.java
@@ -1,9 +1,9 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.block.tag.BlockTags;
-import net.minecraft.core.entity.FallingBlockEntity;
+import net.minecraft.core.entity.EntityFallingBlock;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.sound.SoundCategory;
@@ -12,8 +12,8 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class MudBlock extends Block{
-    public MudBlock(String key, String namespaceId, int id, Material material, boolean isHardened)
+public class BlockMud extends Block{
+    public BlockMud(String key, String namespaceId, int id, Material material, boolean isHardened)
     {
         super(key, namespaceId, id, material);
         this.isHardened = isHardened;
@@ -87,7 +87,7 @@ public class MudBlock extends Block{
                     {
                         //...And the block is next to another wet mud block, it can become wet
                         int bID = world.getBlockId(x1, y1, z1);
-                        if (bID == Blocks.MUD.id || (bID == Blocks.FARMLAND_DIRT.id && FarmlandBlock.isWet(world.getBlockMetadata(x1, y1, z1))))
+                        if (bID == Blocks.MUD.id || (bID == Blocks.FARMLAND_DIRT.id && BlockFarmland.isWet(world.getBlockMetadata(x1, y1, z1))))
                         {
                             return true;
                         }
@@ -107,7 +107,7 @@ public class MudBlock extends Block{
 
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         return new ItemStack[] { new ItemStack(this, 1, meta) };
     }
@@ -135,8 +135,8 @@ public class MudBlock extends Block{
                 }
             } else
             {
-                FallingBlockEntity fallingBlockEntity = new FallingBlockEntity(world, x + 0.5, y + 0.5, z + 0.5, id, 0, null);
-                world.entityJoinedWorld(fallingBlockEntity);
+                EntityFallingBlock entityFallingBlock = new EntityFallingBlock(world, x + 0.5, y + 0.5, z + 0.5, id, 0, null);
+                world.entityJoinedWorld(entityFallingBlock);
             }
         }
     }
diff --git a/src/main/java/net/minecraft/core/block/MushroomBlock.java b/src/main/java/net/minecraft/core/block/BlockMushroom.java
similarity index 90%
rename from src/main/java/net/minecraft/core/block/MushroomBlock.java
rename to src/main/java/net/minecraft/core/block/BlockMushroom.java
index 19b2e8100..6dbe3bc43 100644
--- a/src/main/java/net/minecraft/core/block/MushroomBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockMushroom.java
@@ -5,12 +5,12 @@ import net.minecraft.core.world.World;
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            FlowerBlock, World, Block
+//            BlockFlower, World, Block
 
-public class MushroomBlock extends FlowerBlock
+public class BlockMushroom extends BlockFlower
 {
 
-	public MushroomBlock(String key, String namespaceId, int id)
+	public BlockMushroom(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id);
         float f = 0.2F;
diff --git a/src/main/java/net/minecraft/core/block/IgneousNetherrackBlock.java b/src/main/java/net/minecraft/core/block/BlockNetherrackIgneous.java
similarity index 90%
rename from src/main/java/net/minecraft/core/block/IgneousNetherrackBlock.java
rename to src/main/java/net/minecraft/core/block/BlockNetherrackIgneous.java
index 0d017a1d8..e6ef87d3d 100644
--- a/src/main/java/net/minecraft/core/block/IgneousNetherrackBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockNetherrackIgneous.java
@@ -2,7 +2,7 @@ package net.minecraft.core.block;
 
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
@@ -10,8 +10,8 @@ import net.minecraft.core.world.WorldSource;
 
 import java.util.Random;
 
-public class IgneousNetherrackBlock extends Block{
-    public IgneousNetherrackBlock(String translationKey, String namespaceId, int id) {
+public class BlockNetherrackIgneous extends Block{
+    public BlockNetherrackIgneous(String translationKey, String namespaceId, int id) {
         super(translationKey, namespaceId, id, Material.netherrack);
         setTicking(true);
     }
@@ -26,7 +26,7 @@ public class IgneousNetherrackBlock extends Block{
     @Override
     public void onEntityCollidedWithBlock(World world, int x, int y, int z, Entity entity)
     {
-        if (entity instanceof ItemEntity) return; // Don't burn items for this block
+        if (entity instanceof EntityItem) return; // Don't burn items for this block
         entity.fireHurt();
     }
 
diff --git a/src/main/java/net/minecraft/core/block/NoteBlock.java b/src/main/java/net/minecraft/core/block/BlockNote.java
similarity index 94%
rename from src/main/java/net/minecraft/core/block/NoteBlock.java
rename to src/main/java/net/minecraft/core/block/BlockNote.java
index 38ade223a..095bda4b3 100644
--- a/src/main/java/net/minecraft/core/block/NoteBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockNote.java
@@ -1,8 +1,8 @@
 package net.minecraft.core.block;
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.Direction;
@@ -16,7 +16,7 @@ import org.slf4j.Logger;
 import java.util.HashMap;
 import java.util.Map;
 
-public class NoteBlock extends EntityBlock
+public class BlockNote extends BlockTileEntity
 {
     private static final Logger LOGGER = LogUtils.getLogger();
     public static final int MASK_NOTE = 0b0011_1111;
@@ -24,7 +24,7 @@ public class NoteBlock extends EntityBlock
 
     public static final byte MAX_NOTE = 24;
 
-    public NoteBlock(String key, String namespaceId, int id)
+    public BlockNote(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, Material.wood);
     }
@@ -54,7 +54,7 @@ public class NoteBlock extends EntityBlock
     }
 
     @Override
-    public void onActivatorInteract(World world, int x, int y, int z, ActivatorBlockEntity activator, Direction direction) {
+    public void onActivatorInteract(World world, int x, int y, int z, TileEntityActivator activator, Direction direction) {
         changePitch(world, x, y, z);
         triggerNote(world, x, y, z);
     }
@@ -116,7 +116,7 @@ public class NoteBlock extends EntityBlock
     }
 
     @Override
-    protected BlockEntity getNewBlockEntity() {
+    protected TileEntity getNewBlockEntity() {
         return null;
     }
 
@@ -145,7 +145,7 @@ public class NoteBlock extends EntityBlock
             if (block == Blocks.BLOCK_OLIVINE) {
                 return CHIP_TRIANGLE;
             }
-            if (block == Blocks.BLOCK_REDSTONE || block == Blocks.PUMPKIN_REDSTONE || block instanceof RedstoneOreBlock) { // Should be any block thats basically just redstone
+            if (block == Blocks.BLOCK_REDSTONE || block == Blocks.PUMPKIN_REDSTONE || block instanceof BlockOreRedstone) { // Should be any block thats basically just redstone
                 return GUITAR_ELECTRIC;
             }
             if (block == Blocks.CHEST_PLANKS_OAK || block == Blocks.CHEST_PLANKS_OAK_PAINTED) {
diff --git a/src/main/java/net/minecraft/core/block/CoalOreBlock.java b/src/main/java/net/minecraft/core/block/BlockOreCoal.java
similarity index 83%
rename from src/main/java/net/minecraft/core/block/CoalOreBlock.java
rename to src/main/java/net/minecraft/core/block/BlockOreCoal.java
index efdef2903..2e212cf41 100644
--- a/src/main/java/net/minecraft/core/block/CoalOreBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockOreCoal.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
@@ -13,17 +13,17 @@ import java.util.Map;
 // Referenced classes of package net.minecraft.src:
 //            Block, Material, Item
 
-public class CoalOreBlock extends Block
+public class BlockOreCoal extends Block
 {
     public static Map<Integer, Integer> variantMap = new HashMap<>();
 
-    public CoalOreBlock(String key, String namespaceId, int id, int parentId, Material material){
+    public BlockOreCoal(String key, String namespaceId, int id, int parentId, Material material){
         super(key, namespaceId, id, material);
         variantMap.put(parentId, id);
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/DiamondOreBlock.java b/src/main/java/net/minecraft/core/block/BlockOreDiamond.java
similarity index 83%
rename from src/main/java/net/minecraft/core/block/DiamondOreBlock.java
rename to src/main/java/net/minecraft/core/block/BlockOreDiamond.java
index 3a3ce7607..172becdc1 100644
--- a/src/main/java/net/minecraft/core/block/DiamondOreBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockOreDiamond.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
@@ -13,17 +13,17 @@ import java.util.Map;
 // Referenced classes of package net.minecraft.src:
 //            Block, Material, Item
 
-public class DiamondOreBlock extends Block
+public class BlockOreDiamond extends Block
 {
     public static Map<Integer, Integer> variantMap = new HashMap<>();
-    public DiamondOreBlock(String key, String namespaceId, int id, int parentId, Material material)
+    public BlockOreDiamond(String key, String namespaceId, int id, int parentId, Material material)
     {
         super(key, namespaceId, id, material);
         variantMap.put(parentId, id);
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/GoldOreBlock.java b/src/main/java/net/minecraft/core/block/BlockOreGold.java
similarity index 82%
rename from src/main/java/net/minecraft/core/block/GoldOreBlock.java
rename to src/main/java/net/minecraft/core/block/BlockOreGold.java
index 000ea2a6d..243f0799b 100644
--- a/src/main/java/net/minecraft/core/block/GoldOreBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockOreGold.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
@@ -11,16 +11,16 @@ import java.util.HashMap;
 import java.util.Map;
 
 
-public class GoldOreBlock extends Block {
+public class BlockOreGold extends Block {
     public static Map<Integer, Integer> variantMap = new HashMap<>();
 
-    public GoldOreBlock(String key, String namespaceId, int id, int parentId, Material material) {
+    public BlockOreGold(String key, String namespaceId, int id, int parentId, Material material) {
         super(key, namespaceId, id, material);
         variantMap.put(parentId, id);
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/IronOreBlock.java b/src/main/java/net/minecraft/core/block/BlockOreIron.java
similarity index 82%
rename from src/main/java/net/minecraft/core/block/IronOreBlock.java
rename to src/main/java/net/minecraft/core/block/BlockOreIron.java
index a328886d6..0707e8981 100644
--- a/src/main/java/net/minecraft/core/block/IronOreBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockOreIron.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
@@ -10,16 +10,16 @@ import net.minecraft.core.world.World;
 import java.util.HashMap;
 import java.util.Map;
 
-public class IronOreBlock extends Block
+public class BlockOreIron extends Block
 {
     public static Map<Integer, Integer> variantMap = new HashMap<>();
-    public IronOreBlock(String key, String namespaceId, int id, int parentID, Material material) {
+    public BlockOreIron(String key, String namespaceId, int id, int parentID, Material material) {
         super(key, namespaceId, id, material);
         variantMap.put(parentID, id);
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/LapisOreBlock.java b/src/main/java/net/minecraft/core/block/BlockOreLapis.java
similarity index 84%
rename from src/main/java/net/minecraft/core/block/LapisOreBlock.java
rename to src/main/java/net/minecraft/core/block/BlockOreLapis.java
index dadb34398..822422768 100644
--- a/src/main/java/net/minecraft/core/block/LapisOreBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockOreLapis.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
@@ -11,17 +11,17 @@ import net.minecraft.core.world.World;
 import java.util.HashMap;
 import java.util.Map;
 
-public class LapisOreBlock extends Block
+public class BlockOreLapis extends Block
 {
     public static Map<Integer, Integer> variantMap = new HashMap<>();
-    public LapisOreBlock(String key, String namespaceId, int id, int parentId, Material material)
+    public BlockOreLapis(String key, String namespaceId, int id, int parentId, Material material)
     {
         super(key, namespaceId, id, material);
         variantMap.put(parentId, id);
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/NetherCoalOreBlock.java b/src/main/java/net/minecraft/core/block/BlockOreNetherCoal.java
similarity index 79%
rename from src/main/java/net/minecraft/core/block/NetherCoalOreBlock.java
rename to src/main/java/net/minecraft/core/block/BlockOreNetherCoal.java
index 3318f66fa..52f7d1535 100644
--- a/src/main/java/net/minecraft/core/block/NetherCoalOreBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockOreNetherCoal.java
@@ -1,22 +1,22 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 
-public class NetherCoalOreBlock extends Block
+public class BlockOreNetherCoal extends Block
 {
 
-    public NetherCoalOreBlock(String key, String namespaceId, int id)
+    public BlockOreNetherCoal(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, Material.netherrack);
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/RedstoneOreBlock.java b/src/main/java/net/minecraft/core/block/BlockOreRedstone.java
similarity index 95%
rename from src/main/java/net/minecraft/core/block/RedstoneOreBlock.java
rename to src/main/java/net/minecraft/core/block/BlockOreRedstone.java
index 0ff36d174..656673259 100644
--- a/src/main/java/net/minecraft/core/block/RedstoneOreBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockOreRedstone.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
@@ -21,13 +21,13 @@ import java.util.function.Supplier;
 //            Block, Material, World, Item, 
 //            Player, Entity
 
-public class RedstoneOreBlock extends Block
+public class BlockOreRedstone extends Block
 {
     public static Map<Integer, Integer> variantMap = new HashMap<>();
     private final boolean illuminated;
     private final Supplier<Block> normalBlock;
     private final Supplier<Block> illuminatedBlock;
-    public RedstoneOreBlock(String key, String namespaceId, int id, int parentId, Material material, boolean illuminated, Supplier<Block> normalBlock, Supplier<Block> illuminatedBlock)
+    public BlockOreRedstone(String key, String namespaceId, int id, int parentId, Material material, boolean illuminated, Supplier<Block> normalBlock, Supplier<Block> illuminatedBlock)
     {
         super(key, namespaceId, id, material);
         if(illuminated)
@@ -82,7 +82,7 @@ public class RedstoneOreBlock extends Block
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/OverlayPebblesBlock.java b/src/main/java/net/minecraft/core/block/BlockOverlayPebbles.java
similarity index 91%
rename from src/main/java/net/minecraft/core/block/OverlayPebblesBlock.java
rename to src/main/java/net/minecraft/core/block/BlockOverlayPebbles.java
index 69ca2d22d..5082e303c 100644
--- a/src/main/java/net/minecraft/core/block/OverlayPebblesBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockOverlayPebbles.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.Items;
@@ -9,9 +9,9 @@ import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 
-public class OverlayPebblesBlock extends Block
+public class BlockOverlayPebbles extends Block
 {
-    public OverlayPebblesBlock(String key, String namespaceId, int id, Material material)
+    public BlockOverlayPebbles(String key, String namespaceId, int id, Material material)
     {
         super(key, namespaceId, id, material);
     }
@@ -75,7 +75,7 @@ public class OverlayPebblesBlock extends Block
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         if (dropCause == EnumDropCause.PICK_BLOCK)
         {
diff --git a/src/main/java/net/minecraft/core/block/DirtPathBlock.java b/src/main/java/net/minecraft/core/block/BlockPathDirt.java
similarity index 90%
rename from src/main/java/net/minecraft/core/block/DirtPathBlock.java
rename to src/main/java/net/minecraft/core/block/BlockPathDirt.java
index 5c0f3fbd1..81fda1d8a 100644
--- a/src/main/java/net/minecraft/core/block/DirtPathBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockPathDirt.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
@@ -12,9 +12,9 @@ import net.minecraft.core.world.WorldSource;
 //            Block, Material, AxisAlignedBB, World,
 //            Entity
 
-public class DirtPathBlock extends Block
+public class BlockPathDirt extends Block
 {
-	public DirtPathBlock(String key, String namespaceId, int id)
+	public BlockPathDirt(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, Material.dirt);
         setTicking(true);
@@ -53,7 +53,7 @@ public class DirtPathBlock extends Block
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, BlockEntity blockEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int meta, TileEntity tileEntity)
     {
         switch (dropCause)
         {
diff --git a/src/main/java/net/minecraft/core/block/PumpkinPieBlock.java b/src/main/java/net/minecraft/core/block/BlockPiePumpkin.java
similarity index 92%
rename from src/main/java/net/minecraft/core/block/PumpkinPieBlock.java
rename to src/main/java/net/minecraft/core/block/BlockPiePumpkin.java
index a79470794..a9fd96800 100644
--- a/src/main/java/net/minecraft/core/block/PumpkinPieBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockPiePumpkin.java
@@ -4,10 +4,10 @@ import net.minecraft.core.item.Items;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.WorldSource;
 
-public class PumpkinPieBlock extends EdibleBlock
+public class BlockPiePumpkin extends BlockEdible
 {
 
-    public PumpkinPieBlock(String key, String namespaceId, int id)
+    public BlockPiePumpkin(String key, String namespaceId, int id)
     {
         super(key, namespaceId, id, 4, 5, () -> Items.FOOD_PUMPKIN_PIE);
     }
diff --git a/src/main/java/net/minecraft/core/block/PlanksBlock.java b/src/main/java/net/minecraft/core/block/BlockPlanks.java
similarity index 78%
rename from src/main/java/net/minecraft/core/block/PlanksBlock.java
rename to src/main/java/net/minecraft/core/block/BlockPlanks.java
index 46d5f28ac..6b8654659 100644
--- a/src/main/java/net/minecraft/core/block/PlanksBlock.java
+++ b/src/main/java/net/minecraft/core/block/BlockPlanks.java
@@ -1,17 +1,17 @@
-package net.minecraft.core.block;
-
-import net.minecraft.core.block.material.Material;
-import net.minecraft.core.util.helper.DyeColor;
-import net.minecraft.core.world.World;
-
-public class PlanksBlock extends Block implements IPaintable {
-    public PlanksBlock(String translationKey, String namespaceId, int id, Material material) {
-        super(translationKey, namespaceId, id, material);
-    }
-
-    @Override
-    public void setColor(World world, int x, int y, int z, DyeColor color) {
-        world.setBlock(x, y, z, Blocks.PLANKS_OAK_PAINTED.id);
-        ((IPaintable) Blocks.PLANKS_OAK_PAINTED).setColor(world, x, y, z, color);
-    }
-}
+package net.minecraft.core.block;
+
+import net.minecraft.core.block.material.Material;
+import net.minecraft.core.util.helper.DyeColor;
+import net.minecraft.core.world.World;
+
+public class BlockPlanks extends Block implements IPaintable {
+    public BlockPlanks(String translationKey, String namespaceId, int id, Material material) {
+        super(translationKey, namespaceId, id, material);
+    }
+
+    @Override
+    public void setColor(World world, int x, int y, int z, DyeColor color) {
+        world.setBlock(x, y, z, Blocks.PLANKS_OAK_PAINTED.id);
+        ((IPaintable) Blocks.PLANKS_OAK_PAINTED).setColor(world, x, y, z, color);
+    }
+}
